<script lang="ts">
import Vue from 'vue';
import TeamOpsLogo from './team-ops-logo.vue';

export default Vue.extend({
  name: 'TeamOpsHero',
  components: {
    TeamOpsLogo,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>
<template>
  <section class="team-ops-hero">
    <div>
      <SlpContainer class="team-ops-hero__container">
        <SlpRow>
          <SlpColumn
            :cols="7"
            size="lg"
            class="team-ops-hero__copy team-ops-hero__col"
          >
            <div
              :data-aos="data.aos_animation"
              :data-aos-duration="data.aos_duration"
              :data-aos-offset="data.aos_offset"
            >
              <TeamOpsLogo v-if="data.logo?.show" />
              <SlpTypography tag="h1" variant="heading1-bold">
                {{ data.title }}
              </SlpTypography>
              <SlpTypography tag="p" variant="heading5" class="slp-pt-24">
                {{ data.subtitle }}
              </SlpTypography>
              <SlpButton
                :href="data.button.href"
                variant="secondary"
                :data-ga-name="data.button.data_ga_name"
                :data-ga-location="data.button.data_ga_location"
                class="slp-mt-24"
              >
                {{ data.button.text }}
              </SlpButton>
            </div>
          </SlpColumn>
          <SlpColumn :cols="5" size="lg" class="team-ops-hero__col">
            <div class="team-ops-hero__image">
              <img
                v-if="data.image"
                :src="data.image.url"
                :alt="data.image.alt"
                :data-aos="data.image.aos_animation"
                :data-aos-duration="data.image.aos_duration"
                :data-aos-offset="data.image.aos_offset"
                loading="lazy"
              />
              <div class="circle-1"></div>
            </div>
          </SlpColumn>
        </SlpRow>
        <div class="circle-2"></div>
        <div class="circle-3"></div>
      </SlpContainer>
    </div>
  </section>
</template>

<style lang="scss" scoped>
@import 'assets/css/animations';
.team-ops-hero {
  background: #256ad1;
  color: $color-primary-300;
  overflow: hidden;
  position: relative;

  &__col {
    @media (max-width: $breakpoint-lg) {
      flex: 1 1 100%;
      width: 100%;
    }
  }

  &__container {
    position: relative;
  }

  &__copy {
    padding: $spacing-48 0;
    position: relative;
    z-index: 1000;

    @media (min-width: $breakpoint-lg) {
      padding: $spacing-96 0;
    }
  }

  &__image {
    background: $color-primary-300;
    padding: $spacing-64 0;
    position: relative;
    display: flex;
    align-items: center;
    height: 100%;

    @media (min-width: $breakpoint-lg) {
      padding: $spacing-96 $spacing-48;
      margin-right: -$spacing-64;
    }

    img {
      width: 100%;
      position: relative;
      margin: 0 auto;
      display: block;
    }

    &::before {
      content: '';
      position: absolute;
      background: $color-primary-300;
      width: 200vw;
      height: calc(100% + 2px);
      bottom: -2px;
      transform: translateX(-50%);
      left: 50%;

      @media (min-width: $breakpoint-lg) {
        width: 100%;
        height: 200vh;
        top: 50%;
        transform: translateY(-50%);
        left: 0;
        bottom: auto;
      }
    }
  }

  .circle-1 {
    position: absolute;
    width: 344px;
    height: 344px;
    border: 2px solid $color-primary-200;
    border-radius: 100%;
    top: -270px;
    right: -305px;
    @media (min-width: $breakpoint-sm) {
      top: -270px;
      right: -230px;
    }
    @media (min-width: $breakpoint-lg) {
      top: -220px;
      right: -115px;
    }
  }

  .circle-2 {
    position: absolute;
    width: 381px;
    height: 381px;
    border: 2px solid $color-primary-200;
    border-radius: 100%;
    bottom: -180px;
    right: -315px;
    @media (min-width: $breakpoint-sm) {
      bottom: -180px;
      right: -290px;
    }
  }

  .circle-3 {
    position: absolute;
    width: 515px;
    height: 515px;
    border: 2px solid $color-primary-200;
    border-radius: 100%;
    bottom: -397px;
    left: -395px;

    @media (min-width: $breakpoint-sm) {
      left: -340px;
    }
    @media (min-width: $breakpoint-lg) {
      left: 50%;
      transform: translateX(-50%);
    }
  }
}
</style>
